import numpy as np
from sklearn import linear_model

# https://scikit-learn.org/stable/
# ¿Cómo seleccionamos el modelo?

# Pares de puntps (xi, yi)
P = np.array( [ [1.0, 1.0], [2.0, 2.0], [3.0, 3.0], [4.0, 4.0], [5.0, 5.0] ] )
n, m = P.shape
print( n, m )

X = P[:,0].reshape(-1, 1)
print( "X", X.shape )

y = P[:,1]
print( "y", y.shape )

# Si es una línea:
# y = a1 x + a0

reg = linear_model.LinearRegression()
reg.fit( X, y )
print('Coefficients: \n', reg.coef_)
print('a0: \n', reg.intercept_)

